VIAPM(4)

NAME
viapm - VIA chipsets Power Management controller driver

SYNOPSIS
device iicbb
device iicbus
device iicsmb
device smbus
device smb
device viapm

DESCRIPTION
This driver provides access to the VIA chipset Power Management Unit family. They are VT82C586B, VT82C596A, VT82C596B, VT82C686A and VT8233.

The embedded controller of the VIA chipset may give you access to the monitoring facilities of your mainboard.

The 586B support is made by software whereas other controllers support the SMBus protocol by hardware. See smb(4) for writing user code to fetch voltages, temperature and so on from the monitoring chip of your mainboard.

SEE ALSO
iicbb(4), iicbus(4), iicsmb(4), smb(4), smbus(4)

HISTORY
The viapm manual page first appeared in FreeBSD 4.5.

AUTHORS
This manual page was written by Nicolas Souchu <nsouch@FreeBSD.org>.

BUGS
Only polling mode is supported.